//Stringmanip.h


#ifndef __STRINGMANIP_H__
#define __STRINGMANIP_H__

#include <sstream>
#include <vector>
#include "defines.h"

using namespace std;

///
/// Performs conversions between strings and numbers
///
class Stringmanip{
  
  public:
    Stringmanip(); 

    static string itos(unsigned int number);
    static string itos(double number);
    static string itos(int number);
    static bool isnumber(string str);
    static int split_string(const string& input, 
      string delim1, string delim2, vector<string>& results);
    static int stoi(string number); 
    static unsigned stouint(string number);
    static DATATYPE stodata(string number); 
		static INPUT_TYPE stoinput(string number);
  private:
  
};


#endif   
