#ifndef __ErrorExcept_H__
#define __ErrorExcept_H__

#include <string>
#include <iostream>
using namespace std;

///
/// Exception class
///

class ErrorExcept{
        public:
                /// codes for identifying error types
                enum ErrorCodes{
                  generalError,
                  missingData
                };
                /// constructor
                ErrorExcept();
                /// constructor for setting message
                ErrorExcept(string message);
                /// constructor for setting message and ErrorCodes
                ErrorExcept(string message, ErrorCodes newCode);
                /// retrieve error in exception
                string get_error();
                /// output message 
                friend ostream & operator << (ostream & os, const ErrorExcept & ke);
                /// retrieve error code
                ErrorCodes code(){return codeValue;}
                /// set code
                void code(ErrorCodes newCode){codeValue=newCode;}

        private:
                ErrorCodes codeValue;
                string error;
};

#endif
