// InputReader.h

#ifndef __INPUTREADER_H__
#define __INPUTREADER_H__

#include <iostream>
#include <fstream>
#include <sstream>
#include <vector>
#include "defines.h"
#include "Tester.h"
#include "Stringmanip.h"

using namespace std;

#include "ErrorExcept.h"

///
/// Reads preferences file and sets the preferences
///

class InputReader{

  public:

    /// Use to read in configuration file
    void read_input(string inputfile, Tester & testobj); // throws ErrorExcept
		void set_memory_manager(MemoryManagers memManager);

  private:
		MemoryManagers memoryManager;

};

#endif
