#!/bin/bash

MAINSTART=`date +%s`
echo $MAINSTART
rm master_logfileZZ
echo "Main Execution started on `date` " | cat >> master_logfileZZ
i=86
while [ $i -le 100 ]
do
	#y=$(( $i-1 ))
	
	sed "s/ZZ.0.out/ZZ.$i.out/" /home/sdeodha/gedt/data/A300_U300_ZZ.99/modelZZ.config > /home/sdeodha/gedt/data/A300_U300_ZZ.99/model1.config
	echo "RUN $i" | cat > logfileZZ.$i
	START=`date +%s`
	echo "START: `date`" | cat >> logfileZZ.$i
	/home/sdeodha/gedt/bin/cross_validate-mpi.pl /home/sdeodha/gedt/data/A300_U300_ZZ.99/model1.config | cat >> logfileZZ.$i
	cat logfileZZ.$i | /home/sdeodha/gedt/bin/simplecount.pl >> countedZZ.$i
	FINISH=`date +%s`
	echo "FINISH: `date`" | cat >> logfileZZ.$i
	echo "Run $i: Time elapsed= `expr $FINISH - $START`" | cat >> logfileZZ.$i

	cat logfileZZ.$i >> master_logfileZZ

	i=$(( $i+1 ))
done
MAINFINISH=`date +%s`
echo $MAINFINISH
echo "Total time elapsed for Main Execution `expr $MAINFINISH - $MAINSTART` seconds"  | cat >> master_logfileZZ

#/home/sdeodha/gedt/bin/cross_validate-mpi.pl /home/sdeodha/gedt/data/A300_U300_ZZ.99/model1.config | tee logfile
