#!/bin/bash

MAINSTART=`date +%s`
echo $MAINSTART
rm master_logfile
echo "Main Execution started on `date` " | cat >> master_logfile
i=31
while [ $i -le 100 ]
do
	#y=$(( $i-1 ))
	
	sed "s/XOR3.0.out/XOR3.$i.out/" /home/sdeodha/gedt/data/A300_U300_ZZ.99/modelXOR.config > /home/sdeodha/gedt/data/A300_U300_ZZ.99/model1.config
	echo "RUN $i" | cat > logfile.$i
	START=`date +%s`
	echo "START: `date`" | cat >> logfile.$i
	/home/sdeodha/gedt/bin/cross_validate-mpi.pl /home/sdeodha/gedt/data/A300_U300_ZZ.99/model1.config | cat >> logfile.$i
	cat logfile.$i | /home/sdeodha/gedt/bin/simplecount.pl >> counted.$i
	FINISH=`date +%s`
	echo "FINISH: `date`" | cat >> logfile.$i
	echo "Run $i: Time elapsed= `expr $FINISH - $START`" | cat >> logfile.$i

	cat logfile.$i >> master_logfile

	i=$(( $i+1 ))
done
MAINFINISH=`date +%s`
echo $MAINFINISH
echo "Total time elapsed for Main Execution `expr $MAINFINISH - $MAINSTART` seconds"  | cat >> master_logfile

#/home/sdeodha/gedt/bin/cross_validate-mpi.pl /home/sdeodha/gedt/data/A300_U300_ZZ.99/model1.config | tee logfile
