//Tester.h


#ifndef __TESTER_H__
#define __TESTER_H__

#include "Terminals.h"
#include "ErrorExcept.h"
#include "Config.h"
#include <iostream>
#include <vector>


using namespace std;

///
/// Tests the neural network that has been converted into a postfix
/// stack
/// 

class Tester{
  
  public:
    Tester(){fitnessType = balancedAcc;}
     
    /// returns the error rate
    double determine_error_rate(vector<Element *> & postfix);
    /// add another individual's status
    void add_status(int stat);
		/// add another individual's trait value
		void add_status_quan(DATATYPE stat);
    /// clear all the individuals' statuses in the Tester
    void clear_status();
    /// Fitness type 
    void set_fitness_type(FitnessTypes fitType);

     
  private:
    vector<int> ind_status; // holds individual's status
		vector< DATATYPE > ind_status_quan; //holds individual's trait value
    FitnessTypes fitnessType;

		static int missing_count;  //Thrown missingData exceptions
    
};


#endif   
